#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 semialign
version:              1.2
visibility:           public
id:                   semialign-1.2-Lo14G8kpyRTKWjxVsl0BeO
key:                  semialign-1.2-Lo14G8kpyRTKWjxVsl0BeO
license:              BSD-3-Clause
maintainer:           Oleg Grenrus <oleg.grenrus@iki.fi>
author:               C. McCann, Oleg Grenrus
homepage:             https://github.com/haskellari/these
synopsis:
    Align and Zip type-classes from the common Semialign ancestor.

description:
    The major use of @These@ of this is provided by the @align@ member of
    @Semialign@ class, representing a generalized notion of "zipping with padding"
    that combines structures without truncating to the size of the smaller input.

    It turns out that @zip@ operation fits well the @Semialign@ class,
    forming lattice-like structure.

category:             Data, These
abi:                  8a5dc53f7652a45300a096aac4df2ad9
exposed:              True
exposed-modules:
    Data.Align Data.Crosswalk Data.Semialign Data.Semialign.Indexed
    Data.Zip

hidden-modules:       Data.Semialign.Internal
import-dirs:          /usr/lib/ghc-8.10.4/site-local/semialign-1.2
library-dirs:         /usr/lib/ghc-8.10.4/site-local/semialign-1.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/semialign-1.2
hs-libraries:         HSsemialign-1.2-Lo14G8kpyRTKWjxVsl0BeO
depends:
    base-4.14.1.0 containers-0.6.2.1
    hashable-1.3.1.0-4EsGp1K7uOu2cACWuCidz3
    indexed-traversable-0.1.1-Dw8MIJyvCj8IZQDXOa8TBp
    indexed-traversable-instances-0.1-LJWGbuUIqqn2whuAxMVyd3
    semigroupoids-5.3.5-GsIT96S7BAkH7p42tSAbZP
    tagged-0.8.6.1-A3E8I7zg2qBFE9O5vQsg6C
    these-1.1.1.1-5QxVwOa3tWa86G1GeMh75U transformers-0.5.6.2
    unordered-containers-0.2.13.0-GpKX90RmBie7xFEkTgVtxL
    vector-0.12.2.0-7EbNsr7S4xfLPw9HM8zAxH

haddock-interfaces:   /usr/share/doc/haskell-semialign/html/semialign.haddock
haddock-html:         /usr/share/doc/haskell-semialign/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

